Create a Review for an Entity

When an evaluation is assigned a “Manual Review” outcome, it goes to the Review Queue. While evaluations can be managed in the dashboard, it is also possible to change a status via API.

This endpoint can only be used for non-Journey evaluations. To review Journey or Entity applications, see the Journeys section.

A few things to note:

  • The agent whose email you include in the body of the request must be an agent on the account (View agents on the account via the main page of your account under "Agents").
  • The chosen outcome for the evaluation, as well as the reason given for that outcome in the body of the API request, must perfectly match those set up in Settings --> Review Reasons.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique ID for the Entity or Group associated with the Review. If a Group Token is passed, the Group Token is set to the entity_token parameter in the response.

Body Params
string

Assign workflow of the review. Optional if it has been provided in the header.

agent
object
required
reasons
array of strings
required

Array of reasons for this Review and the Review's Outcome. Value should should equal a Review Reason that's defined in your Alloy account settings.

reasons*
string
required

Outcome of the Review. Value should equal an Outcome that's defined in your Alloy account settings.

Headers
string

Basic authorization header per the OAuth Client Authorization Header standard.

The format is Basic <auth_string>, where <auth_string> is the base64 encoding of the string token:secret (check Authentication Guide for details).

string

If you have migrated to the new API Key Settings page and are using account-level API keys for authentication, this header is required to specify the workflow for the evaluation unless it is provided in the request body.

If you have not migrated yet, this header is optional, as the workflow will be determined by the Authorization header using workflow_token.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json